<?php

include_once( ABSPATH . 'wp-admin/includes/plugin.php' );
if(!is_plugin_active( 'stork19-blocks/plugin.php' )){


	// ブロック用ファイルの読み込み
	add_action( 'enqueue_block_editor_assets', 'stk_assets_to_block_editor' );
	function stk_assets_to_block_editor() {
	    wp_enqueue_style( 'stk_block_style', get_theme_file_uri('/blocks/css/block_style.css')  );
	    wp_enqueue_style( 'skt_block_fontawesome', 'https://use.fontawesome.com/releases/v5.13.0/css/all.css');
	    wp_enqueue_script( 'stk_block_js', get_theme_file_uri('/blocks/js/block_custom.js') ,array(), "", true);
// 	    wp_enqueue_script( 'stk_block_style_js', get_theme_file_uri('/blocks/js/style.js') ,array(), "", true);
		wp_enqueue_script( 'stk_editor_js', get_theme_file_uri('/blocks/js/editor.js'), [
	        'wp-components',
	        'wp-data',
	        'wp-editor',
	        'wp-element',
	        'wp-rich-text',
	        'wp-url',
	        'lodash'
		] );
	}
	
	
	// ブロックカテゴリーの追加
	function stk_blocks_categories( $categories, $post ) {
	    return array_merge(
	        $categories,
	        array(
	            array(
	                'slug' => 'stk-blocks',
	                'title' => __( 'STORK19 Blocks', 'stk-blocks' ),
	                'icon'  => 'wordpress',
	            ),
	        )
	    );
	}
	add_filter( 'block_categories', 'stk_blocks_categories', 10, 2 );

require_once( 'functions/postlist.php' );
require_once( 'functions/kanren.php' );

}
