
<?php
	if(lp_template_if_footer()
	&& get_option('pannavi_position', 'pannavi_on_bottom') == 'pannavi_on_bottom'){
		breadcrumb();
	}
?>

<?php if (is_active_sidebar('sidebar-sp')):?>
<div class="remodal spnavi" data-remodal-id="spnavi" data-remodal-options="hashTracking:false">
<button data-remodal-action="close" class="remodal-close"><span class="text gf">CLOSE</span></button>
<?php dynamic_sidebar( 'sidebar-sp' ); ?>
<button data-remodal-action="close" class="remodal-close"><span class="text gf">CLOSE</span></button>
</div>
<?php endif; ?>

<?php if(get_option('side_options_header_search2','search_on') == 'search_on'):?>
<div class="remodal searchbox" data-remodal-id="searchbox" data-remodal-options="hashTracking:false">
<div class="search cf"><?php get_search_form(); ?></div>
<button data-remodal-action="close" class="remodal-close"><span class="text gf">CLOSE</span></button>
</div>
<?php endif;?>


<footer id="footer" class="footer">
	<div id="inner-footer" class="inner wrap cf">

	<?php if(lp_template_if_footer()): ?>
	
		<?php if ( is_active_sidebar( 'footer-sp' ) && is_mobile()) :
			echo '<div id="footer-top">';
			dynamic_sidebar( 'footer-sp' );
			echo '</div>';
		endif ;?>
		<?php if (
			(is_active_sidebar( 'footer1' ) && !is_mobile()) //スマホ以外
			|| (!is_active_sidebar( 'footer-sp' ) && is_active_sidebar( 'footer1' ) && is_mobile())//スマホでfooter-spが設定されていないとき
			) :
			echo '<div id="footer-top">';
			dynamic_sidebar( 'footer1' );
			echo '</div>';
		endif; ?>
		
	<?php endif; ?>

		<div id="footer-bottom">
			<?php if(has_nav_menu('footer-links')):
				wp_nav_menu(array(
				'container' => 'nav',
				'container_class' => 'footer-links',
				'menu' => __( 'Footer Links' ),
				'theme_location' => 'footer-links',
				'before' => '',
				'after' => '',
				'link_before' => '',
				'link_after' => '',
				'depth' => 0,
				'fallback_cb' => ''
				));
			 endif;?>
			<p class="source-org copyright">&copy;Copyright<?php echo date('Y'); ?> <a href="<?php echo esc_url(home_url( '/' )); ?>" rel="nofollow"><?php bloginfo( 'name' ); ?></a>.All Rights Reserved.</p>
		</div>
	</div>
</footer>
</div>
<?php wp_footer(); ?>
</body>
</html>