<?php get_header(); ?>
<div id="content">
<div id="inner-content" class="fadeIn wrap">
<main id="main">
<div class="archivettl">
<?php if (is_category()) { ?>
<h1 class="archive-title ttl-category h2">
<?php single_cat_title(); ?>
</h1>
<?php } elseif (is_tag()) { ?>
<h1 class="archive-title ttl-tags h2">
<?php single_tag_title(); ?>
</h1>
<?php } elseif (is_search()) { ?>
<h1 class="archive-title ttl-search h2">
<span>キーワード</span> <?php echo esc_attr(get_search_query()); ?>
</h1>
<?php } elseif (is_author()) {
global $post;
$author_id = $post->post_author;
?>
<h1 class="archive-title ttl-author h2">
<span class="author-icon"><?php echo get_avatar(get_the_author_meta('ID') , 150); ?></span>
「<?php the_author_meta('display_name', $author_id); ?>」の記事
</h1>
<?php } elseif (is_day()) { ?>
<h1 class="archive-title ttl-day h2"><?php the_time('Y年n月j日'); ?></h1>
<?php } elseif (is_month()) { ?>
<h1 class="archive-title ttl-month h2"><?php the_time('Y年n月'); ?></h1>
<?php } elseif (is_year()) { ?>
<h1 class="archive-title ttl-year h2"><?php the_time('Y年'); ?></h1>
<?php } ?>
</div>
<?php if (category_description() && !is_paged()) : ?>
<div class="taxonomy-description entry-content"><?php echo category_description(); ?></div>
<?php endif; ?>

<?php
	$layout = get_option('stk_archivelayout', 'toplayout-simple');
	$layoutsp = get_option('stk_archivelayout_sp', 'toplayout-card');

	if (is_mobile()) {
		if ( $layoutsp == "toplayout-big" ){
			get_template_part( 'parts/archive_big' );
		} elseif ( $layoutsp == 'toplayout-card' ) {
			get_template_part( 'parts/archive_card' );
		} else {
			get_template_part( 'parts/archive_simple' );
		}
	} else {
		if ( $layout == "toplayout-big" ) {
			get_template_part( 'parts/archive_big' );
		} elseif ( $layout == 'toplayout-card' ) {
			get_template_part( 'parts/archive_card' );
		} else {
			get_template_part( 'parts/archive_simple' );
		}
	}
?>


<?php pagination(); ?>

</main>
<?php get_sidebar(); ?>
</div>
</div>
<?php get_footer(); ?>
