<?php
/*
Template Name:サイドバーなし（1カラム）
*/
?>
<?php get_header(); ?>
<div id="content">
<div id="inner-content" class="fadeIn wrap page-full wide cf">
<main id="main">
<?php parts_add_top(); ?>

<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

<?php if ( get_option( 'front_page_ttl_display', 'off' ) == 'on' && !is_home() || !is_front_page() ) : ?>

<header class="article-header entry-header">
<h1 class="page-title entry-title" itemprop="headline"><?php the_title(); ?></h1>
<?php if ( has_post_thumbnail() && get_option('post_options_eyecatch_display', 'on') == 'on' ) :?>
<figure class="eyecatch">
<?php
	the_post_thumbnail();
	 if($pt_caption = get_post(get_post_thumbnail_id())->post_excerpt) {//caption
		 echo '<figcaption class="eyecatch-caption-text">'.$pt_caption.'</figcaption>';
	 }
?>
</figure>
<?php endif; ?>
<?php if ((!is_home() && !is_front_page())
	&& get_option( 'sns_button_display', 'on' ) == 'on_withpage') : ?>
<?php get_template_part( 'parts/sns_button' ); ?>
<?php endif; ?>
</header>

<?php endif; ?>

<section class="entry-content cf">
<?php the_content(); ?>
</section>
<?php if ((!is_home() && !is_front_page())
	&& get_option( 'sns_button_display', 'on' ) == 'on_withpage') : ?>
<div class="sharewrap">
<?php if ( get_option( 'sns_options_text' ) ) : ?>
<h3><?php echo get_option( 'sns_options_text' ); ?></h3>
<?php endif; ?>
<?php get_template_part( 'parts/sns_button' ); ?>
</div>
<?php endif; ?>

<?php if ( is_active_sidebar( 'cta' ) && get_option('post_options_page_cta') ) : ?>
<div class="cta-wrap">
<?php dynamic_sidebar( 'cta' ); ?>
</div>
<?php endif; ?>

</article>
<?php endwhile; endif; ?>
<?php parts_add_bottom(); ?>
</main>
</div>
</div>
<?php get_footer(); ?>