<?php
	if ( is_front_page() && !is_paged() && get_option('opencage_toppage_header_display', 'on') =='on' ) :
		if ( get_option( 'opencage_toppage_headeregtext' ) || get_option( 'opencage_toppage_headerjptext' ) ){

			if ( get_theme_mod('opencage_toppage_headerbgsp') && is_mobile()){
				$custom_header_style = ' style="background-image: url(' . get_theme_mod('opencage_toppage_headerbgsp') . ');"';
			} elseif( get_theme_mod('opencage_toppage_headerbg' )) {
				$custom_header_style = ' style="background-image: url(' . get_theme_mod('opencage_toppage_headerbg') . ');"';
			} else {
				$custom_header_style = null;
			}
			$custom_header_class = ' class="' . esc_html(get_option('opencage_toppage_textlayout', 'textcenter')) . '  fadeIn delay-0_2s"';

			echo '<div id="custom_header"' . $custom_header_style . $custom_header_class . '"><div class="wrap">';

			echo '<div class="header-text" style="color:' . get_theme_mod('opencage_toppage_textcolor','#0ea3c9') . '">';

			if ( get_option( 'opencage_toppage_headeregtext' )) {
				echo '<h2 class="en gf fadeInDown delay-0_4s">' . get_option( 'opencage_toppage_headeregtext' ) . '</h2>';
			}
			if ( get_option( 'opencage_toppage_headerjptext' )) {
				echo '<p class="ja fadeInUp delay-0_5s">' . get_option( 'opencage_toppage_headerjptext' ) . '</p>';
			}

			if ( get_option( 'opencage_toppage_headerlink' )) {
				$btn_style = 'style="color:'.get_theme_mod( 'opencage_toppage_btncolor', '#ffffff' ).';';
				$btn_style .= 'background:' . get_theme_mod( 'opencage_toppage_btnbgcolor', '#ed7171' ) . ';';
				$btn_style .= 'background:linear-gradient(135deg,' . get_theme_mod( 'opencage_toppage_btnbgcolor', '#ed7171' ) . ',' . get_theme_mod( 'opencage_toppage_btnbgcolor2', '#ffbaba' ) . ');"';

				if ( get_option( 'opencage_toppage_headerlinktext' )) {
					$btn_text = get_option( 'opencage_toppage_headerlinktext' );
				} else {
					$btn_text = '詳しくはこちら';
				}
				echo '<div class="btn-wrap maru fadeInUp delay-0_8s"><a '.$btn_style. 'href="' . esc_url(get_option( 'opencage_toppage_headerlink' )) . '">' . $btn_text . '</a></div>';
			}
			echo '</div></div>';
			echo '<div class="overlay"></div>';
			echo '</div>';

		} elseif( get_theme_mod('opencage_toppage_headerbgsp') || get_theme_mod('opencage_toppage_headerbg') ) {

			echo '<div id="custom_header_img">';
			if ( get_option( 'opencage_toppage_headerlink' )) {
				echo '<a href="' . get_option( 'opencage_toppage_headerlink' ) . '">';
			}

			if ( get_theme_mod('opencage_toppage_headerbgsp') && is_mobile()){
				$imgurl = get_theme_mod('opencage_toppage_headerbgsp');
			} else {
				$imgurl = get_theme_mod('opencage_toppage_headerbg');
			}
			echo '<img src="' . $imgurl . '">';

			if ( get_option( 'opencage_toppage_headerlink' )) {
				echo '</a>';
			}
			echo '</div>';
		}
	endif;
?>



<?php if(get_option('stk_toppageslider_display', 'off') =='on'  && ( is_front_page() || is_home() )): ?>
<?php
$args = array(
    'posts_per_page' => get_option('stk_toppageslider_postsnumber', '10'),
    'offset' => 0,
    'tag' => 'pickup',
    'orderby' => 'post_date',
    'order' => 'DESC',
    'post_type' => array('post','page'),
    'post_status' => 'publish',
    'suppress_filters' => true,
    'ignore_sticky_posts' => true,
    'no_found_rows' => true
);
$the_query = new WP_Query( $args );
if ( $the_query->have_posts() ) {

	echo '<div id="top_carousel" class="wrap cf">';
	echo '<ul class="slider slickcar">';
	
	while ( $the_query->have_posts() ) {
	$the_query->the_post();
?>
	<li><a href="<?php the_permalink() ?>">
	<figure class="eyecatch">
	<?php if (has_post_thumbnail()){
			if (get_option('advanced_lozad_js', 'off') == 'on' && !is_ie()) {
				$lozad_class = ' loading="lazy"';
			} else {
				$lozad_class = null;
			}
			echo '<img src="' . get_the_post_thumbnail_url( get_the_ID(), 'oc-post-thum' ) . '"' . $lozad_class . '>';
		} else {
			echo oc_noimg();
		}
	?>

	<?php echo stk_archivecatname();?>
	</figure>
	<h2 class="entry-title"><?php the_title(); ?></h2>
	</a></li>
<?php
	} ;
	
	echo '</ul>';
	echo '</div>';
}
wp_reset_postdata();
endif; ?>


<?php pickUpContent() ;?>