<?php

if ( get_option( 'ga_recommend_options' ) ) {?>
	<div id="related-box" class="original-related ga_recommend">
	<?php
	//関連コンテンツユニット（GoogleAdSense）の表示
	echo get_option( 'ga_recommend_options' );?>

	</div>
	
	<?php
} else { 
	
	//カテゴリ情報から関連記事を8個ランダムに呼び出す
	$categories = get_the_category($post->ID);
	$category_ID = array();
	foreach($categories as $category):
	  array_push( $category_ID, $category -> cat_ID);
	endforeach ;
	$args = array(
	  'post__not_in' => array($post -> ID),
	  'posts_per_page'=> 8,
	  'category__in' => $category_ID,
	  'orderby' => 'rand',
	);
	$query = new WP_Query($args); ?>
	
	<div id="related-box" class="original-related">
	    <h2 class="related-h h_ttl"><span class="gf">RECOMMEND</span></h2>
		<?php if( $query -> have_posts() ): ?>
		<ul>

		<?php while ($query -> have_posts()) : $query -> the_post(); ?>
		<li class="related_newpost__li">
		    <a href="<?php the_permalink(); ?>">
				<figure class="eyecatch">
				<?php if (has_post_thumbnail()){
						the_post_thumbnail('oc-post-thum');
					} else {
						echo oc_noimg();
					}
				?>
				<?php echo stk_archivecatname();?>
				</figure>
				<?php echo stk_archivesdate();?>
				<div class="ttl<?php echo stk_post_newmark();?>"><?php the_title(); ?></div>
			</a>
		</li>
		<?php endwhile;?>

			</ul>
	    <?php else:?>
	    <p>関連記事は見つかりませんでした。</p>
		<?php endif;?>
	</div>
	  
	  <?php
	wp_reset_postdata();
}
?>