<div id="single_foot">

<?php if(get_option('np_hide_options', 'on') == 'on'): ?>
<div id="np-post">
<?php $nextpost = get_adjacent_post(false, '', false); if ($nextpost) : ?>
<div class="prev np-post-list"><a href="<?php echo get_permalink($nextpost->ID); ?>" data-text="PREV PAGE"><figure class="eyecatch"><?php echo get_the_post_thumbnail($nextpost->ID,'thumbnail'); ?></figure><span class="ttl"><?php echo esc_attr($nextpost->post_title); ?></span></a></div>
<?php endif; ?>

<?php $prevpost = get_adjacent_post(false, '', true); if ($prevpost) : ?>
<div class="next np-post-list"><a href="<?php echo get_permalink($prevpost->ID); ?>" data-text="NEXT PAGE"><span class="ttl"><?php echo esc_attr($prevpost->post_title); ?></span><figure class="eyecatch"><?php echo get_the_post_thumbnail($prevpost->ID,'thumbnail'); ?></figure></a></div>
<?php endif; ?>
</div>
<?php endif; ?>

<?php if(get_option('recommend_hide_options', 'on') == 'on'): ?>
	<?php if(function_exists('related_posts')): ?>
	<?php related_posts(); ?>
	<?php else :?>
	<?php get_template_part( 'parts/related-entries' ); ?>
	<?php endif;?>
<?php endif;?>

<?php if(
	get_option('post_options_authordisplay','author_on') !== 'author_off'
	&& get_the_author_meta('description')
	): ?>
<div id="authorbox">
<div class="author_profile">
<h2 class="h_ttl"><span class="gf">ABOUT US</span></h2>
<div class="author_meta">
	<div class="author_img"><?php echo get_avatar(get_the_author_meta('ID'), 150); ?></div>
	<div class="author_info">
		<div class="author_name">
			<?php the_author_posts_link(); ?>
			<?php if(get_the_author_meta('userposition')) : ?><span class="userposition"><?php the_author_meta( 'userposition' ); ?></span><?php endif ;?>
		</div>

	<div class="author_description"><?php the_author_meta("description" ); ?></div>

		<ul class="author_sns">
		<?php if(get_the_author_meta('user_url')) : ?>
		<li class="author_sns_li__site"><a href="<?php the_author_meta( 'user_url' ); ?>" target="_blank">WebSite</a></li>
		<?php endif ;?>
		<?php if(get_the_author_meta('twitter')) : ?>
		<li class="author_sns_li__twitter"><a href="<?php the_author_meta( 'twitter' ); ?>" rel="nofollow" target="_blank">Twitter</a></li>
		<?php endif ;?>
		<?php if(get_the_author_meta('facebook')) : ?>
		<li class="author_sns_li__facebook"><a href="<?php the_author_meta( 'facebook' ); ?>" rel="nofollow" target="_blank">Facebook</a></li>
		<?php endif ;?>
		<?php if(get_the_author_meta('googleplus')) : ?>
		<li class="author_sns_li__google"><a href="<?php the_author_meta( 'googleplus' ); ?>" rel="nofollow" target="_blank">Google+</a></li>
		<?php endif ;?>
		<?php if(get_the_author_meta('instagram')) : ?>
		<li class="author_sns_li__instagram"><a href="<?php the_author_meta( 'instagram' ); ?>" rel="nofollow" target="_blank">Instagram</a></li>
		<?php endif ;?>
		<?php if(get_the_author_meta('youtube')) : ?>
		<li class="author_sns_li__youtube"><a href="<?php the_author_meta( 'youtube' ); ?>" rel="nofollow" target="_blank">YouTube</a></li>
		<?php endif ;?>
		</ul>
	
	</div>
</div>	
</div>

<div id="author-newpost">
<h2 class="h_ttl"><span class="gf">NEW POST</span></h2>
<ul>
<?php
  $author_id = get_the_author_meta( 'ID' );
  $args = array(
  'post_type' => 'post',
  'author' => $author_id,
  'showposts' => 4,
); ?>
<?php $loop = new WP_Query( $args ); ?>
<?php while ($loop->have_posts()) : $loop->the_post(); ?>
<li class="related_newpost__li">
<a href="<?php the_permalink() ?>">
<figure class="eyecatch">
<?php if (has_post_thumbnail()){
		the_post_thumbnail('oc-post-thum');
	} else {
		echo oc_noimg();
	}
?>
<?php echo stk_archivecatname();?>
</figure>
<?php echo stk_archivesdate();?>
<div class="ttl<?php echo stk_post_newmark();?>"><?php the_title(); ?></div>
</a>
</li>
<?php endwhile; ?>
<?php wp_reset_query();?>
</ul>
</div>
</div>
<?php endif ;?>

</div>