<?php

//カテゴリ一覧を表示させる
register_block_type( 'stk-plugin/postlistcat', array(
	'attributes' => array(
		'id' => array (
			'type' => 'integer',
			'default' => 1
		),
		'num' => array (
			'type' => 'integer',
			'default' => 8
		),
/*
		'ttl' => array (
			'type' => 'string',
			'default' => ''
		),
*/
		'ttlnone' => array (
			'type' => 'boolean',
			'default' =>  true
		),
		'postlistType' => array (
			'type' => 'string',
			'default' => 'card'
		),
		'postlistDate' => array (
			'type' => 'boolean',
			'default' =>  false
		),
		'orderby' => array (
			'type' => 'string',
			'default' => 'post_date'
		),
		'order' => array (
			'type' => 'string',
			'default' => 'DESC'
		),
		'className' => array (
			'type' => 'string',
			'default' =>  null
		),
	),
	'render_callback' => 'postlist_cat_func',
) );

if(!function_exists('postlist_cat_func')){
	function postlist_cat_func($attributes) {
		$id = $attributes['id'];
		$num = $attributes['num'];
// 		$ttl = $attributes['ttl'];
		$ttlnone = $attributes['ttlnone'];
		if($ttlnone) {
			$ttlnone = 'ttl="none"';
		} else {
			$ttlnone = null;
		}
		$type = $attributes['postlistType'];
		$date = $attributes['postlistDate'];
		if($date) {
			$date = 'off';
		} else {
			$date = 'on';
		}
		$orderby = $attributes['orderby'];
		$order = $attributes['order'];

		
		ob_start();
			echo do_shortcode( '[postlist catid="'.$id.'" show="'.$num.'" type="'.$type.'" date="'.$date.'" orderby="'.$orderby.'" order="'.$order.'" '.$ttlnone.']' );
		return ob_get_clean();
	}
}


//タグ一覧を表示させる
register_block_type( 'stk-plugin/postlisttag', array(
	'attributes' => array(
		'id' => array (
			'type' => 'integer',
			'default' => 1
		),
		'num' => array (
			'type' => 'integer',
			'default' => 8
		),
/*
		'ttl' => array (
			'type' => 'string',
			'default' => ''
		),
*/
		'ttlnone' => array (
			'type' => 'boolean',
			'default' =>  true
		),
		'postlistType' => array (
			'type' => 'string',
			'default' => 'card'
		),
		'postlistDate' => array (
			'type' => 'boolean',
			'default' =>  false
		),
		'orderby' => array (
			'type' => 'string',
			'default' => 'post_date'
		),
		'order' => array (
			'type' => 'string',
			'default' => 'DESC'
		),
		'className' => array (
			'type' => 'string',
			'default' =>  null
		),
	),
	'render_callback' => 'postlist_tag_func',
) );

if(!function_exists('postlist_tag_func')){
	function postlist_tag_func($attributes) {
		$id = $attributes['id'];
		$num = $attributes['num'];
// 		$ttl = $attributes['ttl'];
		$ttlnone = $attributes['ttlnone'];
		if($ttlnone) {
			$ttlnone = 'ttl="none"';
		} else {
			$ttlnone = null;
		}
		$type = $attributes['postlistType'];
		$date = $attributes['postlistDate'];
		if($date) {
			$date = 'off';
		} else {
			$date = 'on';
		}
		$orderby = $attributes['orderby'];
		$order = $attributes['order'];
		
		ob_start();
			echo do_shortcode( '[postlist tagid="'.$id.'" show="'.$num.'" type="'.$type.'" date="'.$date.'" orderby="'.$orderby.'" order="'.$order.'" '.$ttlnone.']' );
		return ob_get_clean();
	}
}

//新着一覧を表示させる
register_block_type( 'stk-plugin/postlistnew', array(
	'attributes' => array(
		'num' => array (
			'type' => 'integer',
			'default' => 8
		),
/*
		'ttl' => array (
			'type' => 'string',
			'default' => ''
		),
*/
		'ttlnone' => array (
			'type' => 'boolean',
			'default' =>  true
		),
		'postlistType' => array (
			'type' => 'string',
			'default' => 'card'
		),
		'postlistDate' => array (
			'type' => 'boolean',
			'default' =>  false
		),
		'orderby' => array (
			'type' => 'string',
			'default' => 'post_date'
		),
		'order' => array (
			'type' => 'string',
			'default' => 'DESC'
		),
		'className' => array (
			'type' => 'string',
			'default' =>  null
		),
	),
	'render_callback' => 'postlist_new_func',
) );

if(!function_exists('postlist_new_func')){
	function postlist_new_func($attributes) {
		$num = $attributes['num'];
// 		$ttl = $attributes['ttl'];
		$ttlnone = $attributes['ttlnone'];
		if($ttlnone) {
			$ttlnone = 'ttl="none"';
		} else {
			$ttlnone = null;
		}
		$type = $attributes['postlistType'];
		$date = $attributes['postlistDate'];
		if($date) {
			$date = 'off';
		} else {
			$date = 'on';
		}
		$orderby = $attributes['orderby'];
		$order = $attributes['order'];
		
		ob_start();
			echo do_shortcode( '[postlist show="'.$num.'" type="'.$type.'" date="'.$date.'" orderby="'.$orderby.'" order="'.$order.'" '.$ttlnone.']' );
		return ob_get_clean();
	}
}