<?php
function shortcode_empty_paragraph_fix($content) {
    $array = array (
        '<p>[' => '[',
        ']</p>' => ']',
        ']<br />' => ']'
    );
 
    $content = strtr($content, $array);
    return $content;
}
add_filter('the_content', 'shortcode_empty_paragraph_fix');

// pickup content
function pickUpContentCode() {

	if(get_theme_mod('stk_pickupcontent_1_img')
	|| get_theme_mod('stk_pickupcontent_2_img')
	|| get_theme_mod('stk_pickupcontent_3_img')
	|| get_theme_mod('stk_pickupcontent_4_img')):


		if (get_option('advanced_lozad_js', 'off') == 'on' && !is_ie()) {
			$lozad_class = ' loading="lazy"';
		} else {
			$lozad_class = null;
		}

		$output = '<div id="pickup_content"><ul class="ul__pickup_content">';
		if(get_theme_mod('stk_pickupcontent_1_img')){
			if(get_option('stk_pickupcontent_1_linktarget')){ $target1 = ' target="_blank"'; } else { $target1 = null;}
			$image1 = '<img src="' . get_theme_mod('stk_pickupcontent_1_img') . '"' . $lozad_class . '>';
			$output1 = '<li class="fadeInDown"><a class="pickup_content__link" href="' . get_option('stk_pickupcontent_1_link') . '"' . $target1 . '>';
			$output1 .= '<figure class="eyecatch">' . $image1 . '</figure>';
			if(get_option('stk_pickupcontent_1_text')){
				$output1 .= '<div class="pickup_content__text"><span>' . get_option('stk_pickupcontent_1_text') . '</span></div>';
			}
			$output1 .= '</a></li>';
			$output .= $output1;
		}
	
		if(get_theme_mod('stk_pickupcontent_2_img')){
			if(get_option('stk_pickupcontent_2_linktarget')){ $target2 = ' target="_blank"'; } else { $target2 = null;}
			$image2 = '<img src="' . get_theme_mod('stk_pickupcontent_2_img') . '"' . $lozad_class . '>';
			$output2 = '<li class="fadeInDown delay-0_2s"><a class="pickup_content__link" href="' . get_option('stk_pickupcontent_2_link') . '"' . $target2 . '>';
			$output2 .= '<figure class="eyecatch">' . $image2 . '</figure>';
			if(get_option('stk_pickupcontent_2_text')){
				$output2 .= '<div class="pickup_content__text"><span>' . get_option('stk_pickupcontent_2_text') . '</span></div>';
			}
			$output2 .= '</a></li>';
			$output .= $output2;
		}
	
		if(get_theme_mod('stk_pickupcontent_3_img')){
			if(get_option('stk_pickupcontent_3_linktarget')){ $target3 = ' target="_blank"'; } else { $target3 = null;}
			$image3 = '<img src="' . get_theme_mod('stk_pickupcontent_3_img') . '"' . $lozad_class . '>';
			$output3 = '<li class="fadeInDown delay-0_4s"><a class="pickup_content__link" href="' . get_option('stk_pickupcontent_3_link') . '"' . $target3 . '>';
			$output3 .= '<figure class="eyecatch">' . $image3 . '</figure>';
			if(get_option('stk_pickupcontent_3_text')){
				$output3 .= '<div class="pickup_content__text"><span>' . get_option('stk_pickupcontent_3_text') . '</span></div>';
			}
			$output3 .= '</a></li>';
			$output .= $output3;
		}
	
		if(get_theme_mod('stk_pickupcontent_4_img')){
			if(get_option('stk_pickupcontent_4_linktarget')){ $target4 = ' target="_blank"'; } else { $target4 = null;}
			$image4 = '<img src="' . get_theme_mod('stk_pickupcontent_4_img') . '"' . $lozad_class . '>';
			$output4 = '<li class="fadeInDown delay-0_6s"><a class="pickup_content__link" href="' . get_option('stk_pickupcontent_4_link') . '"' . $target4 . '>';
			$output4 .= '<figure class="eyecatch">' . $image4 . '</figure>';
			if(get_option('stk_pickupcontent_4_text')){
				$output4 .= '<div class="pickup_content__text"><span>' . get_option('stk_pickupcontent_4_text') . '</span></div>';
			}
			$output4 .= '</a></li>';
			$output .= $output4;
		}
		$output .= '</ul></div>';
		
		echo $output;

	endif;
}

function pickUpContent() {
	if(
		(get_option('stk_pickupcontent_display', 'on') == 'on' && ! (is_page_template( 'page-lp.php' ) || is_page_template( 'page-wide.php' )))
		|| (get_option('stk_pickupcontent_display', 'on') == 'on_top' && ( is_front_page() || is_home() ) && ! (is_page_template( 'page-lp.php' ) || is_page_template( 'page-wide.php' )))
	) {

		return pickUpContentCode();

	} else {
		
		null;

	}
}

function pickUpContentFunc($atts) {
	ob_start();
	echo pickUpContentCode();
	return ob_get_clean();
}
add_shortcode('pickupcontent', 'pickUpContentFunc');


// Recommend post
function kanrenFunc($atts) {

	$postid = (isset($atts['postid'])) ? esc_attr($atts['postid']) : null;
	$pageid = (isset($atts['pageid'])) ? esc_attr($atts['pageid']) : null;

	$posturl = (isset($atts['posturl'])) ? esc_url($atts['posturl']) : null;
	$pageurl = (isset($atts['pageurl'])) ? esc_url($atts['pageurl']) : null;
	if($posturl) {
		$postid = url_to_postid($posturl);
	}
	if($pageurl) {
		$pageid = url_to_postid($pageurl);
	}

	if($postid || $pageid) {
		
		$postids = (explode(',',$postid));
		$datenone = (isset($atts['date'])) ? esc_attr($atts['date']) : null;
		$order = (isset($atts['order'])) ? esc_attr($atts['order']) : "DESC";
		$orderby = (isset($atts['orderby'])) ? esc_attr($atts['orderby']) : "post_date";
		$labelclass = isset($atts['label']) ? ' labelnone' : "";
		$labeltext = isset($atts['labeltext']) ? esc_attr($atts['labeltext']) : '関連記事';
		$target = isset($atts['target']) ? ' target="_blank"' : "";
		$type = (isset($atts['type'])) ? ' type'.esc_attr($atts['type']) : " typesimple";
		$classname = isset($atts['class']) ? ' '.esc_attr($atts['class']) : null;

		$echo ="";
	
		$args = array(
			"post_type" => array('post','page'),
		    'posts_per_page' => -1,
			'post__in' => $postids,
			'page_id' => $pageid,
		    'orderby' => $orderby,
		    'order' => $order,
		    'post_status' => 'publish',
		    'suppress_filters' => true,
		    'ignore_sticky_posts' => true,
		    'no_found_rows' => true
		);
	
		$the_query = new WP_Query( $args );
		
		if ( $the_query->have_posts() ) {
			while ( $the_query->have_posts() ) {
				$the_query->the_post();

				$post_id ="";
				
				$url = esc_url(get_permalink());
				if(has_post_thumbnail()){ $postimg = '<figure class="eyecatch thum">' .get_the_post_thumbnail($post_id, 'oc-post-thum'). '</figure>';} else { $postimg = ""; }
				if(!$datenone && !$pageid){ $postdate = stk_archivesdate();} else { $postdate = null; }
	
				$postttl = '<p class="ttl" data-labeltext="' . $labeltext . '">' . esc_attr(get_the_title()) . '</p>';
					
				$echo .= '<div class="related_article cf' . $labelclass . $type . $classname .'"><a class="related_article__link" href="' . $url . '"' . $target .'>' .$postimg. '<div class="meta inbox">' . $postttl . $postdate . '</div></a></div>';
			} // LOOP END
			wp_reset_postdata();
		} else {
			$echo = '<p>記事を取得できませんでした。記事IDをご確認ください。</p>';
		}
	
		return $echo;

	} else {
		return null;
	}

}
add_shortcode('kanren','kanrenFunc');

// Recommend post2 (none label)
function kanren2Func($atts) {

	$postid = (isset($atts['postid'])) ? esc_attr($atts['postid']) : null;
	$pageid = (isset($atts['pageid'])) ? esc_attr($atts['pageid']) : null;

	$posturl = (isset($atts['posturl'])) ? ' posturl="'.esc_url($atts['posturl']).'"' : null;
	$pageurl = (isset($atts['pageurl'])) ? ' pageurl="'.esc_url($atts['pageurl']).'"' : null;

	$date = (isset($atts['date'])) ? ' date="'.esc_attr($atts['date']).'"' : null;
	$order = (isset($atts['order'])) ? ' order="'.esc_attr($atts['order']).'"' : null;
	$orderby = (isset($atts['orderby'])) ? ' orderby="'.esc_attr($atts['orderby']).'"' : null;
	$target = isset($atts['target']) ? ' target="'.esc_attr($atts['target']).'"' : null;
	$type = (isset($atts['type'])) ? ' type="'.esc_attr($atts['type']).'"' : null;
	$classname = (isset($atts['class'])) ? ' class="'.esc_attr($atts['class']).'"' : null;
	
	ob_start();

		if( $postid || $posturl ) {
			echo do_shortcode( '[kanren postid="'.$postid.'" label="none"'.$date.$order.$orderby.$type.$target.$posturl.$classname.']' );
		} elseif( $pageid || $pageurl ) {
			echo do_shortcode( '[kanren pageid="'.$pageid.'" label="none"'.$date.$order.$orderby.$type.$target.$pageurl.$classname.']' );
		} else {
			null;
		}
	return ob_get_clean();


}
add_shortcode('kanren2','kanren2Func');


// Grid wrap
function colwrapFunc( $atts, $content = null ) {
	$class = (isset($atts['class'])) ? esc_attr($atts['class']) : null;
    
    return '<div class="column-wrap ' . $class . '">' . do_shortcode($content) . '</div>';
}
add_shortcode('colwrap', 'colwrapFunc');

// Grid Desktop & Tablet (2 Column) mobile(1 Column)
function col2Func( $atts, $content = null ) {
	$class = (isset($atts['class'])) ? esc_attr($atts['class']) : null;
    
    return '<div class="column_2 child_column ' . $class . '">' . do_shortcode($content) . '</div>';
}
add_shortcode('col2', 'col2Func');

// Grid Desktop & Tablet (3 Column) mobile(1 Column)
function col3Func( $atts, $content = null ) {
	$class = (isset($atts['class'])) ? esc_attr($atts['class']) : null;

    return '<div class="column_3 child_column ' . $class . '">' . do_shortcode($content) . '</div>';
}
add_shortcode('col3', 'col3Func');

// CTA
function ctainnerFunc( $atts, $content = null ) {
    return '<div class="cta-inner cf">' . do_shortcode($content) . '</div>';
}
add_shortcode('cta_in', 'ctainnerFunc');

//CTA COPYWRITING
function ctacopyFunc( $atts, $content = null ) {
	$class = (isset($atts['class'])) ? esc_attr($atts['class']) : null;
     
    return '<h2 class="cta_ttl"><span>' . $content . '</span></h2>';
}
add_shortcode('cta_ttl', 'ctacopyFunc');


// CTA Button
function ctabtnFunc( $atts, $content = null ) {
	$link = (isset($atts['link'])) ? esc_attr($atts['link']) : null;
     
    return '<div class="btn-wrap aligncenter big lightning cta_btn"><a href="' . $link . '">' . $content . '</a></div>';
}
add_shortcode('cta_btn', 'ctabtnFunc');

// supplement
function asideFunc( $atts, $content = null ) {
	$type = (isset($atts['type'])) ? esc_attr($atts['type']) : null;
     
    return '<div class="supplement '. $type . '">' . do_shortcode($content) . '</div>';
}
add_shortcode('aside', 'asideFunc');


// Button
function btnFunc( $atts, $content = null ) {
	$class = (isset($atts['class'])) ? esc_attr($atts['class']) : null;
	$subtext = (isset($atts['subtext'])) ? ' data-subtext="' . esc_attr($atts['subtext']) . '"' : null;
     
    return '<div class="btn-wrap ' . $class. '"' . $subtext . '>' . $content . '</div>';
}
add_shortcode('btn', 'btnFunc');

// ad
if(get_theme_mod('other_options_ad1')){
	function ad1Func( $atts, $content = null ) {     
	    return '<div class="add">' . get_theme_mod('other_options_ad1') . '</div>';
	}
	add_shortcode('ad1', 'ad1Func');	
}
if(get_theme_mod('other_options_ad2')){
	function ad2Func( $atts, $content = null ) {     
	    return '<div class="add">' . get_theme_mod('other_options_ad2') . '</div>';
	}
	add_shortcode('ad2', 'ad2Func');	
}

// Voice
function voiceFunc( $atts, $content = null ) {
	$icon = (isset($atts['icon'])) ? '<img src="' . esc_attr($atts['icon']) . '" class="voice_icon__img">' : null;
	$type = (isset($atts['type'])) ? esc_attr($atts['type']) : null;
	$name = (isset($atts['name'])) ? '<figcaption class="name">' . esc_attr($atts['name']) . '</figcaption>' : null;
     
    return '<div class="voice cf ' .$type. '"><figure class="icon">' . $icon . $name . '</figure><div class="voicecomment">' . do_shortcode($content) . '</div></div>';
}
add_shortcode('voice', 'voiceFunc');

// box
function contentboxFunc($atts , $content = null) {
	if($atts && $content) {
		$class = (isset($atts['class'])) ? 'is-style-'.esc_attr($atts['class']) : null;
		$title = (isset($atts['title'])) ? esc_attr($atts['title']) : null;
		$icon = (isset($atts['icon'])) ? '<i class="fas fa-' . esc_attr($atts['icon']) . ' fa-lg"></i> ' : null;
		$type = (isset($atts['type'])) ? ' type_'.esc_attr($atts['type']) : ' type_normal';
		if(!$title && $class) {
			return '<div class="cbox ' . $class . $type .'">' . $icon . do_shortcode($content) . '</div>';

		} elseif($title && $class) {
			return '<div class="cbox intitle ' . $class . $type .'"><div class="box_title"><span class="span__box_title">' . $icon . $title . '</span></div>'. do_shortcode($content) .'</div>';
		}
	}
}
add_shortcode('box','contentboxFunc');

// Accordion
function accordionFunc($atts, $content = null) {
	$title = isset($atts['title']) ? $atts['title'] : null;
	$type = isset($atts['type']) ? ' type_'.$atts['type'] : null;
	$randid = uniqid('input');
	if ($title) {
		$output = '<div class="accordion' . $type . '"><input type="checkbox" id="' . $randid . '" class="accordion_check" /><label for="' . $randid . '" class="accordion_label">' . $title . '</label><div class="accordion_content">' . do_shortcode($content) . '</div></div>';
		return $output;
	} else {
		return null;
	}
}
add_shortcode('open','accordionFunc');


// post list (category & new post list)

function postlistFunc($atts) {
	$catid = (isset($atts['catid'])) ? esc_attr($atts['catid']) : null;
	$tagid = (isset($atts['tagid'])) ? esc_attr($atts['tagid']) : null;
	$show = (isset($atts['show'])) ? esc_attr($atts['show']) : 5;
	$dateon = (isset($atts['date'])) ? esc_attr($atts['date']) : null;
	$type = (isset($atts['type'])) ? ' type'.esc_attr($atts['type']) : " typesimple";

	$order = (isset($atts['order'])) ? esc_attr($atts['order']) : "DESC";
	$orderby = (isset($atts['orderby'])) ? esc_attr($atts['orderby']) : "post_date";
	
	$output = "";
	
	if( empty( $catid ) && empty( $tagid ) ){
		$args = array(
		    'posts_per_page' => $show,
		    'offset' => 0,
		    'orderby' => $orderby,
		    'order' => $order,
		    'post_type' => array('post'),
		    'post_status' => 'publish',
		    'suppress_filters' => true,
		    'ignore_sticky_posts' => true,
		    'no_found_rows' => true
		);
		
		$the_query = new WP_Query( $args );
		if ( $the_query->have_posts() ) {

			$btntext = (isset($atts['btntext'])) ? esc_attr($atts['btntext']) : null;
			$ttl = (isset($atts['ttl'])) ? esc_attr($atts['ttl']) : '新着記事';
			$ttltag = (isset($atts['ttltag'])) ? esc_attr($atts['ttltag']) : 'div';
			if( $ttl == 'none' ) {
				$ttl = null;
			} else {
				$ttl = '<'.$ttltag.' class="catttl">' . $ttl . '</'.$ttltag.'>';
			}
			
			$output .= '<div class="cat_postlist new_postlist' . $type . '">' . $ttl . '<div><ul class="cat_postlist__ul">';

				while ( $the_query->have_posts() ) {
				$the_query->the_post();
					if( $type == ' typetext' ) {
						$postimg = null;
					} else {
						$postimg = '<figure class="eyecatch">';
						if( has_post_thumbnail() ) {
							$post_id = "";
							$postimg .= get_the_post_thumbnail($post_id, 'oc-post-thum');
						} else {
							$postimg .= oc_noimg();
						}							
						$postimg .= '</figure>';
					}

					$postttl = '<div class="ttl' . stk_post_newmark() . '">' . get_the_title() . '</div>';
					
					if($dateon !== 'off'){ $postdate = stk_archivesdate();} else { $postdate = null;}
									
					$output .= '<li class="cat_postlist__li"><a href="'. get_permalink() .'" class="cat_postlist__link">' . $postimg . '<div class="postbody">' . $postttl . $postdate . '</div></a></li>';
				
				}
				wp_reset_postdata();
			
			$output .= '</ul>';
			$btnlink = (isset($atts['btnlink'])) ? esc_url($atts['btnlink']) : null;
			if(!$btntext == null && !$btnlink == null) {
				$output .= '<div class="btn-wrap simple arrow"><a href="'. $btnlink .'">'. $btntext .'</a></div>';
			}
			$output .= '</div></div>';
		
		}

	} elseif( $catid ) {

		$args = array(
			'type'                     => 'post',
			'child_of'                 => 0,
			'parent'                   => '',
			'orderby'                  => 'none',
			'order'                    => 'ASC',
			'hide_empty'               => 1,
			'hierarchical'             => 1,
			'exclude'                  => '',
			'include'                  => $catid,
			'number'                   => '',
			'taxonomy'                 => 'category',
			'pad_counts'               => false 
		); 
		
		$categories = get_categories( $args );
	
		foreach($categories as $category) :
		

			$args = array(
				'cat'=> $category->cat_ID,
				'posts_per_page' => $show,
				'orderby' => $orderby,
				'order' => $order,
			);
	
			
			$the_query = new WP_Query( $args );
			if ( $the_query->have_posts() ) {
			
				$btntext = (isset($atts['btntext'])) ? esc_attr($atts['btntext']) : null;
				$ttl = (isset($atts['ttl'])) ? esc_attr($atts['ttl']) : $category->cat_name ;
				$ttltag = (isset($atts['ttltag'])) ? esc_attr($atts['ttltag']) : 'div';
				if( $ttl == 'none' ) {
					$ttl = null;
				} else {
					$ttl = '<'.$ttltag.' class="catttl">' . $ttl . '</'.$ttltag.'>';
				}

				$output .= '<div class="cat_postlist' . $type . '">' . $ttl . '<div><ul class="cat_postlist__ul">';
							
				while ( $the_query->have_posts() ) {
				$the_query->the_post();
					
					if( $type == ' typetext' ) {
						$postimg = null;
					} else {
						$postimg = '<figure class="eyecatch">';
						if( has_post_thumbnail() ) {
							$post_id = "";
							$postimg .= get_the_post_thumbnail($post_id, 'oc-post-thum');
						} else {
							$postimg .= oc_noimg();
						}							
						$postimg .= '</figure>';
					}

					$postttl = '<div class="ttl' . stk_post_newmark() . '">' . get_the_title() . '</div>';
					
					if($dateon !== 'off'){ $postdate = stk_archivesdate();} else { $postdate = null;}
										
					$output .= '<li class="cat_postlist__li"><a href="'. get_permalink() .'" class="cat_postlist__link">' . $postimg . '<div class="postbody">' . $postttl . $postdate . '</div></a></li>';
					
				}
				wp_reset_postdata();
			
				$output .= '</ul>';
				if(!$btntext == null) {
					$output .= '<div class="btn-wrap simple arrow"><a href="'.get_category_link( $category->term_id ).'">'. $btntext .'</a></div>';
				}
				$output .= '</div></div>';
			}
		endforeach;

	} elseif( $tagid ) {

		$args = array(
		    'posts_per_page' => $show,
		    'offset' => 0,
		    'orderby' => $orderby,
		    'order' => $order,
		    'tag_id' => $tagid,
		    'post_type' => array('post', 'page'),
		    'post_status' => 'publish',
		    'suppress_filters' => true,
		    'ignore_sticky_posts' => true,
		    'no_found_rows' => true
		);
		
		$tag = get_tag( $tagid );
		
		
		$the_query = new WP_Query( $args );
		if ( $the_query->have_posts() ) {
			
			if(!$tag){
				return;
			}

			$btntext = (isset($atts['btntext'])) ? esc_attr($atts['btntext']) : null;
			$ttl = (isset($atts['ttl'])) ? esc_attr($atts['ttl']) : $tag->name;
			$ttltag = (isset($atts['ttltag'])) ? esc_attr($atts['ttltag']) : 'div';
			if( $ttl == 'none' ) {
				$ttl = null;
			} else {
				$ttl = '<'.$ttltag.' class="catttl">' . $ttl . '</'.$ttltag.'>';
			}
			
			$output .= '<div class="cat_postlist tag_postlist' . $type . '">' . $ttl . '<div><ul class="cat_postlist__ul">';

				while ( $the_query->have_posts() ) {
				$the_query->the_post();
				
					if( $type == ' typetext' ) {
						$postimg = null;
					} else {
						$postimg = '<figure class="eyecatch">';
						if( has_post_thumbnail() ) {
							$post_id = "";
							$postimg .= get_the_post_thumbnail($post_id, 'oc-post-thum');
						} else {
							$postimg .= oc_noimg();
						}							
						$postimg .= '</figure>';
					}

					$postttl = '<div class="ttl' . stk_post_newmark() . '">' . get_the_title() . '</div>';
					
					if($dateon !== 'off'){ $postdate = stk_archivesdate();} else { $postdate = null;}
									
					$output .= '<li class="cat_postlist__li"><a href="'. get_permalink() .'" class="cat_postlist__link">' . $postimg . '<div class="postbody">' . $postttl . $postdate . '</div></a></li>';
				
				}
				wp_reset_postdata();
			
			$output .= '</ul>';
			if(!$btntext == null) {
				$output .= '<div class="btn-wrap simple arrow"><a href="'.get_tag_link( $tagid ).'">'. $btntext .'</a></div>';
			}
			$output .= '</div></div>';
		
		} else {
			return;
		}
		
	}
	
	
	return $output;
}
add_shortcode('postlist','postlistFunc');


// fontawesome icon
function stk_iconFunc($atts) {
    extract(shortcode_atts(array(
        'class' => '',
    ), $atts));
    
    return '<i class="' . $class . '"></i>';
}
add_shortcode('icon', 'stk_iconFunc');